# CorrelationPairs

## Lists all Correlation Pair objects.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/CorrelationPairs/{strSessionID}":{"get":{"tags":["CorrelationPairs"],"summary":"Lists all Correlation Pair objects.","description":"This API requires a Giver session.","operationId":"CorrelationPairs-ListCorrelationPairs","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListCorrelationPairsResponse"}}}}}}}},"components":{"schemas":{"ListCorrelationPairsResponse":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of Correlation Pair objects.","format":"int32"},"correlationPairs":{"type":"array","items":{"$ref":"#/components/schemas/CorrelationPairSpecs"},"description":"List of Correlation Pair objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Correlation Pairs request."},"CorrelationPairSpecs":{"type":"object","properties":{"pairID":{"type":"string","description":"Correlation Pair object ID.","nullable":true},"text1":{"type":"string","description":"First text of the Correlation Pair, typically a question coming from a Receiver.","nullable":true},"text2":{"type":"string","description":"Second text of the Correlation Pair, typically the original question introduced by the Giver.","nullable":true},"correlated":{"type":"boolean","description":"```True``` if the texts must be considered correlated."},"occurrences":{"type":"integer","description":"Number of times these the first text has been correlated to the second.","format":"int32"},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of a Correlation Pair object."}}}}
````

## Lists Correlation Pair objects with pagination.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/CorrelationPairs/{strSessionID}/{from}/{howMany}":{"get":{"tags":["CorrelationPairs"],"summary":"Lists Correlation Pair objects with pagination.","description":"This API requires a Giver session.","operationId":"CorrelationPairs-ListCorrelationPairsPaginated","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"from","in":"path","description":"The 0-based index of the first Correlation Pair object to list","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"howMany","in":"path","description":"The number of the Correlation Pair objects to list","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListCorrelationPairsResponse"}}}}}}}},"components":{"schemas":{"ListCorrelationPairsResponse":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of Correlation Pair objects.","format":"int32"},"correlationPairs":{"type":"array","items":{"$ref":"#/components/schemas/CorrelationPairSpecs"},"description":"List of Correlation Pair objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Correlation Pairs request."},"CorrelationPairSpecs":{"type":"object","properties":{"pairID":{"type":"string","description":"Correlation Pair object ID.","nullable":true},"text1":{"type":"string","description":"First text of the Correlation Pair, typically a question coming from a Receiver.","nullable":true},"text2":{"type":"string","description":"Second text of the Correlation Pair, typically the original question introduced by the Giver.","nullable":true},"correlated":{"type":"boolean","description":"```True``` if the texts must be considered correlated."},"occurrences":{"type":"integer","description":"Number of times these the first text has been correlated to the second.","format":"int32"},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of a Correlation Pair object."}}}}
````

## Adds a new Correlation Pair object.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/CorrelationPair/{strSessionID}":{"post":{"tags":["CorrelationPairs"],"summary":"Adds a new Correlation Pair object.","description":"This API requires a Giver session.","operationId":"CorrelationPairs-AddCorrelationPair","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The Correlation Pair object specifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddCorrelationPairSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddCorrelationPairResponse"}}}}}}}},"components":{"schemas":{"AddCorrelationPairSpecs":{"type":"object","properties":{"pairID":{"type":"string","description":"Correlation Pair object ID.","nullable":true},"text1":{"type":"string","description":"First text of the Correlation Pair, typically a question coming from a Receiver.","nullable":true},"text2":{"type":"string","description":"Second text of the Correlation Pair, typically the original question introduced by the Giver.","nullable":true},"correlated":{"type":"boolean","description":"```True``` if the texts must be considered correlated."},"occurrences":{"type":"integer","description":"Number of times these the first text has been correlated to the second.","format":"int32"},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false},"AddCorrelationPairResponse":{"type":"object","properties":{"correlationPairID":{"type":"string","description":"Correlation Pair object ID.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of an Add Correlation Pair request."}}}}
````

## Removes an existing Correlation Pair object.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/CorrelationPair/{strSessionID}/{strPairID}":{"delete":{"tags":["CorrelationPairs"],"summary":"Removes an existing Correlation Pair object.","description":"This API requires a Giver session.","operationId":"CorrelationPairs-RemoveCorrelationPair","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strPairID","in":"path","description":"The Correlation Pair object ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aisuru.com/api/engine/correlationpairs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
